Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.Interpreting.ActionCall< T > Class Template Reference

This class represents the application of Mercury.Interpreting.InterpreterAction{T} on the Mercury.Interpreting.IFormalParameter list. More...

Inheritance diagram for Mercury.Interpreting.ActionCall< T >:

## Public Member Functions
| ActionCall (InterpreterAction< T > action, IEnumerable< IFormalParameter > formalparams)
| Initializes a new instance of the ActionCall{T} class. More...
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()
bool | Equals (ActionCall< T > other)

## Properties
IReadOnlyList< IFormalParameter > | FormalParameters`[get, set]`
| The list of formal parameters. More...
InterpreterAction< T > | Action`[get, set]`
| The action More...
ParameterType | Type`[get, set]`
Properties inherited from Mercury.Interpreting.IFormalParameter
ParameterType | Type`[get]`
| Formal parameter type. More...

## Detailed Description

This class represents the application of Mercury.Interpreting.InterpreterAction{T} on the Mercury.Interpreting.IFormalParameter list.

Type Constraints

  T | : | class |

Definition at line 18 of file ActionCall.cs.

## Constructor & Destructor Documentation

Mercury.Interpreting.ActionCall< T >.ActionCall | ( | InterpreterAction< T > | action,
|  | IEnumerable< IFormalParameter > | formalparams
| ) |  |

Initializes a new instance of the ActionCall{T} class.

Parameters

  action | The action.
  formalparams | Formal parameters.

Exceptions

  System.ArgumentNullException | When action or formal parameters is null
  InvalidActionCallException{T} | Invalid number of formal parameters

Definition at line 34 of file ActionCall.cs.

## Member Function Documentation

override bool Mercury.Interpreting.ActionCall< T >.Equals | ( | object | obj | ) |

Definition at line 61 of file ActionCall.cs.

bool Mercury.Interpreting.ActionCall< T >.Equals | ( | ActionCall< T > | other | ) |

Definition at line 107 of file ActionCall.cs.

override int Mercury.Interpreting.ActionCall< T >.GetHashCode | ( |  | ) |

Definition at line 67 of file ActionCall.cs.

override string Mercury.Interpreting.ActionCall< T >.ToString | ( |  | ) |

Definition at line 80 of file ActionCall.cs.

## Property Documentation

InterpreterAction<T> Mercury.Interpreting.ActionCall< T >.Action
| get set

The action

The action

Definition at line 55 of file ActionCall.cs.

IReadOnlyList<IFormalParameter> Mercury.Interpreting.ActionCall< T >.FormalParameters
| get set

The list of formal parameters.

The list of formal parameters.

Definition at line 51 of file ActionCall.cs.

ParameterType Mercury.Interpreting.ActionCall< T >.Type
| get set

Definition at line 101 of file ActionCall.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Interpreting/ActionCall.cs